Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » 4DIAC - Framework for Distributed Industrial Automation and Control » Older cmake does not support continue()(cmake fails in buildsupport/generate_modules_cmake_file.cmake)
Older cmake does not support continue() [message #1833582] Mon, 19 October 2020 06:34 Go to next message
NOJA Power is currently offline NOJA PowerFriend
Messages: 19
Registered: May 2020
Junior Member
Hi,

I downloaded the latest forte 1.13.0. When I go to build I get the following message displayed.

CMake Error at buildsupport/generate_modules_cmake_file.cmake:21 (continue):
Unknown CMake command "continue".
Call Stack (most recent call first):
buildsupport/forte.cmake:248 (INCLUDE)
src/CMakeLists.txt:17 (forte_create_modules_file)

This is the version of cmake:
$ cmake --version
cmake version 2.8.12.2

I'm just wondering, is there any plan to support older versions of cmake?
Re: Older cmake does not support continue() [message #1833736 is a reply to message #1833582] Thu, 22 October 2020 19:41 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 1211
Registered: January 2014
Senior Member
Hi,

currently we don't have the resource to test and maintain a broad range of CMake versions. During the development of 1.13 we noticed that there are already differences between the 3.x versions that where available on the development machiens and build servers we used. 2.8 is definitly out of scope of our capacity.

But we are happy if you can provide patches for fixing that issues also for a broader range of Cmake versions.

Cheers,
Alois
Re: Older cmake does not support continue() [message #1833888 is a reply to message #1833736] Tue, 27 October 2020 04:11 Go to previous messageGo to next message
NOJA Power is currently offline NOJA PowerFriend
Messages: 19
Registered: May 2020
Junior Member
Hi,

Please find attached a patch file which resolved this issue for us in cmake version 2.8.12.2. The workaround was to restructure the logic and to add functions for the common processing so that continue() isn't needed.

I realise you might not want the comments in there and you might like to change function names to better align with 4DIAC naming convention. Would you like me to start a ticket and add this patch file to the ticket?

I'm happy to help if I can, please let me know.

Thank you
Re: Older cmake does not support continue() [message #1833934 is a reply to message #1833888] Wed, 28 October 2020 10:29 Go to previous message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 1211
Registered: January 2014
Senior Member
Hi,

thanks a lot for the patch. The Eclipse Foundation has a very nice process in place on how contributors can add fixes and features to Eclipse Projects. Jose was so kind and documented this very nicely here [2]. Can you please have a look and if there are any questions we are happy to support you.

BR,
Alois

[1] https://www.eclipse.org/4diac/en_help.php?helppage=html/development/contributeToForte.html
Previous Topic:Adding a custom function block inside forte RTE (C Code)
Next Topic:Using GPIOs and serial communication port with Raspberry Pi
Goto Forum:
  


Current Time: Wed May 12 15:52:01 GMT 2021

Powered by FUDForum. Page generated in 0.02058 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top